Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 20 Oct 2014, 22:22
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Now - Arora 0.4 Complete - One 10 MB pet - Webkit browser
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 2 [30 Posts]   Goto page: Previous 1, 2
Author Message
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Thu 12 Nov 2009, 14:08    Post subject:  

Please If you can face it could you provide a update to the latest version. :beg smiley:
Back to top
View user's profile Send private message Visit poster's website 
Q5sys


Joined: 11 Dec 2008
Posts: 1073

PostPosted: Wed 21 Apr 2010, 20:25    Post subject:  

abushcrafter wrote:
Please If you can face it could you provide a update to the latest version. :beg smiley:


Doesnt contain any of the deps, but if you've already got those on your system this should do just fine. Smile
arora_0.10.1-1.tar.gz
Description 
gz

 Download 
Filename  arora_0.10.1-1.tar.gz 
Filesize  1.4 MB 
Downloaded  489 Time(s) 
Back to top
View user's profile Send private message Visit poster's website 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Thu 22 Apr 2010, 10:16    Post subject:  

Thanks very much as it works! Now I need to find the latest version of QTWebkit that is stable and works with this version of Arora Wink! My current version is "libQtWebKit.so.4.5.3".
Back to top
View user's profile Send private message Visit poster's website 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Thu 22 Apr 2010, 10:34    Post subject:  

I have put it into a pet. I have fixed the .desktop file for puppy and added a link to "libQtWebKit.so.4.5.3" (My current installed version from a QT4 pet off the forums.).
arora-0.10.1-1.pet
Description 
pet

 Download 
Filename  arora-0.10.1-1.pet 
Filesize  1.4 MB 
Downloaded  754 Time(s) 
Back to top
View user's profile Send private message Visit poster's website 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Thu 22 Apr 2010, 12:55    Post subject:  

I have been using Midori which was compiled for Puppy by Technosauraus. I really like the way it renders pages. Somehow, the webkit browsers seem to work better on my screen than the gheko(?) based ones. MUST give this a try.......................
I tried to build the latest Midori but ran into trouble with webkit. Sh*t its difficult Smile

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
technosaurus


Joined: 18 May 2008
Posts: 4353

PostPosted: Thu 22 Apr 2010, 13:22    Post subject:  

webkitgtk is MUCH easier to compile than the standard webkit(provided you have libsoup and use the glib unicode backend instead of ICU)
_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Thu 22 Apr 2010, 13:30    Post subject:  

technosaurus wrote:
webkitgtk is MUCH easier to compile than the standard webkit(provided you have libsoup and use the glib unicode backend instead of ICU)


Was trying with webkitgtk but hit the buffers with this error http://www.murga-linux.com/puppy/viewtopic.php?t=54692

Guess I need to come back when I have learned a LOT more Smile

_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
Q5sys


Joined: 11 Dec 2008
Posts: 1073

PostPosted: Thu 22 Apr 2010, 14:13    Post subject:  

abushcrafter wrote:
I have put it into a pet. I have fixed the .desktop file for puppy and added a link to "libQtWebKit.so.4.5.3" (My current installed version from a QT4 pet off the forums.).


Isnt teamwork great. Smile
Back to top
View user's profile Send private message Visit poster's website 
technosaurus


Joined: 18 May 2008
Posts: 4353

PostPosted: Thu 22 Apr 2010, 15:13    Post subject:  

I apologize for hijacking the thread temporarily... teaching oportunity
My guess is that when you compiled glib, you did not pass the --prefix=/usr flag to the configure script (the default is /usr/local) this can have 2 effects:
1. Your glibXXX.pc file is by default in /usr/local/lib/pkgconfig, so the old one gets picked up by the configure script instead
2. Your glib-config script goes to $PREFIX/bin so the old one gets used there too. (most likely scenario)
#this is due to its location in $PATH and $PKGCONFIG_PATH (spelling?)

to verify try:
Code:
pkg-config --cflags --libs glib-2.0


btw these are preferred paths PREFIX=/usr SYSCONF=/etc LOCALSTATE=/var

No worry's though - I can post my latest stable glib pet and its DEV.pet, just thought it may save some frustration later for other packages.

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
Q5sys


Joined: 11 Dec 2008
Posts: 1073

PostPosted: Thu 22 Apr 2010, 15:57    Post subject:  

technosaurus wrote:
I apologize for hijacking the thread temporarily... teaching oportunity

Can only speak for myself here, but I never mind thread hijacking if its for teaching. Its a great way to learn something unexpected while you read. Razz
Back to top
View user's profile Send private message Visit poster's website 
DaveS


Joined: 09 Oct 2008
Posts: 3726
Location: UK

PostPosted: Thu 22 Apr 2010, 16:21    Post subject:  

Technosaurus........ thanks. I need to digest your post and figure out what it means. I just did ./configure make make install, so I guess you are right.
_________________
Spup Frugal HD and USB
Root forever!
Back to top
View user's profile Send private message 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Fri 23 Apr 2010, 07:33    Post subject:  

Q5sys wrote:
abushcrafter wrote:
I have put it into a pet. I have fixed the .desktop file for puppy and added a link to "libQtWebKit.so.4.5.3" (My current installed version from a QT4 pet off the forums.).


Isnt teamwork great. Smile
Yep Very Happy!
Back to top
View user's profile Send private message Visit poster's website 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Fri 23 Apr 2010, 07:34    Post subject:  

Q5sys wrote:
technosaurus wrote:
I apologize for hijacking the thread temporarily... teaching oportunity

Can only speak for myself here, but I never mind thread hijacking if its for teaching. Its a great way to learn something unexpected while you read. Razz
+1
Back to top
View user's profile Send private message Visit poster's website 
abushcrafter


Joined: 30 Oct 2009
Posts: 1447
Location: England

PostPosted: Mon 10 May 2010, 09:48    Post subject:  

Posted PET in a new thread here:
http://www.murga-linux.com/puppy/viewtopic.php?p=417097#417097
Back to top
View user's profile Send private message Visit poster's website 
technosaurus


Joined: 18 May 2008
Posts: 4353

PostPosted: Mon 10 May 2010, 14:53    Post subject:  

If anyone is debating making a puplet with arora as the default browser, there is a test browser included in Qt build that would make a decent "defaulthtmlviewer". I am doing the same thing for Midori + webkitgtk's GtkLauncher (only I modified the default home page from http://www.google.com to file:///usr/share/docs/home.htm)
_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 2 [30 Posts]   Goto page: Previous 1, 2
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0770s ][ Queries: 13 (0.0067s) ][ GZIP on ]